import { Box, Avatar, Center, VStack, StackDivider, Spacer, Flex } from '@chakra-ui/react'
import {useGoogleAuth} from 'hooks'
const AccountPage = () => {
    const { manager } = useGoogleAuth();
    return (
        <Center className="account">
            <Flex>
                <Box w="170px" h="10">
                    <Avatar name={manager.firstName + " " + manager.lastName} size="2xl" src={manager.imageUrl} alt="profile" />
                </Box>
                <Spacer />
                <Box w="270px" >
                    <VStack
                        divider={<StackDivider borderColor="gray.200" />}
                        spacing={4}
                        align="stretch"
                        >
                        <Box h="40px"                         // p={2}
                            size="sm"
                            color="white"
                            fontWeight="bold"
                            borderRadius="sm"
                            bgGradient="linear(to-r, teal.500,blue.500)"
                            // _hover={{
                            //     bgGradient: "linear(to-r, orange.500, green.500)",
                            // }}
                            >Email: {manager.email }
                        </Box>
                        <Box h="40px"
                            size="sm"
                            color="white"
                            fontWeight="bold"
                            borderRadius="sm"
                            bgGradient="linear(to-r, blue.500,yellow.500)"
                            // _hover={{
                            //     bgGradient: "linear(to-r, blue.500, yellow.500)",
                            // }}>
                            >First Name: {manager.firstName}
                        </Box>
                        <Box h="40px"
                            size="sm"
                            color="white"
                            fontWeight="bold"
                            borderRadius="sm"
                            bgGradient="linear(to-r, teal.500,purple.400)"
                            // _hover={{
                            //     bgGradient: "linear(to-r, blue.500, yellow.500)",
                            // }}>
                            >Last Name: {manager.lastName}
                        </Box>
                    </VStack>
                </Box>
            </Flex>
        </Center>
    )
}

export default AccountPage
